当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 这是我遇到的dpkg --configure -a问题 希望对遇到的朋友有个帮助。 [su
帖子发表于 : 2007-12-10 13:00 
头像

注册: 2007-12-06 16:01
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
接触ubuntu有四天了。碰到的问题比 我想象的多的 。希望我的问题能给像我一样的 初学者帮助。
看了 很多这方面的帖子 原因就是有些包没有安装完毕。我也是在安装还没有好时不 知道 如何办直接关闭终端。得出的经验是不懂的千万不要莽干 多找些帖子找到答案:

ng@hooo:~$ sudo apt-get install sun-java6-jre
[sudo] password for liuhong:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
ng@hooo:~$ sudo apt-get install stardict stardict-cdict-gb stardict-cedict-gb stardict-hanzim stardict-langdao-ce-gb stardict-langdao-ec-gb
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
ng@hooo:~$ sudo dpkg --configure -a
正在设置 java-common (0.26ubuntu1) ...

正在设置 odbcinst1debian1 (2.2.11-16) ...

正在设置 unixodbc (2.2.11-16) ...

正在设置 gcc-3.3-base (1:3.3.6-15ubuntu2) ...
正在设置 libstdc++5 (1:3.3.6-15ubuntu2) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
ng@hooo:~$ sudo dpkg --configure dpkg
dpkg:处理 dpkg (--configure)时出错:
您已经安装并配置了软件包 dpkg
在处理时有错误发生:
dpkg

~上面提示有些安装包没有安装完整:我做了下面操作:
ong@hooo:~$ sudo apt-get remove java-common
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java6-bin: 依赖: sun-java6-jre (= 6-03-0ubuntu2) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
提示 sun-java6-jre (= 6-03-0ubuntu2) 操作:
ng@hooo:~$ sudo apt-get remove sun-java6-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
软件包 sun-java6-jre 还未安装,因而不会被卸载
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java6-bin: 依赖: sun-java6-jre (= 6-03-0ubuntu2) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。

~看到这里 我 想起昨天晚上我在 安装sun-java6-jre
┌────────────────────────┤ 正在设定 sun-java6-jre ├─────────────────────────┐
│ │
│ its subject matter. It supersedes all prior or contemporaneous ↑
│ oral or written communications, proposals, representations and ▒
│ warranties and prevails over any conflicting or additional terms ▒
│ of any quote, order, acknowledgment, or other communication ▒
│ between the parties relating to its subject matter during the term ▒
│ of this Agreement. No modification of this Agreement will be ▒
│ binding, unless in writing and signed by an authorized ▒
│ representative of each party. ▒
│ ▒
│ ▒
│ For inquiries please contact: Sun Microsystems, Inc., 4150 Network ▒
│ Circle, Santa Clara, California 95054, U.S.A. ▒
│ ▮
│ DLJ v1.1 27APR2006ANS ↓

│ <确定>
│ │
└───────────────────────────────────────────────────────────────────────────┘

正确的是:按tab 点确定 --是

弹出了个窗口 由于我 不会操作就直接把终端关闭 造成了软件没有安装完整
ng@hooo:~$ sudo apt-get -f install sun-java6-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
The following packages were automatically installed and are no longer required:
xserver-xorg-input-wacom thunderbird enigmail
Use 'apt-get autoremove' to remove them.
将会安装下列额外的软件包:
sun-java6-bin
建议安装的软件包:
binfmt-support sun-java6-plugin ia32-sun-java6-plugin sun-java6-fonts
推荐安装的软件包:
gsfonts-x11
下列【新】软件包将被安装:
sun-java6-jre
下列的软件包将被升级:
sun-java6-bin
共升级了 1 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 142 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/32.7MB 的软件包。
解压缩后会消耗掉 93.6MB 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
选中了曾被取消选择的软件包 sun-java6-jre。
(正在读取数据库 ...
dpkg:严重警告:无法找到软件包“sun-java6-bin”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
系统当前总共安装有 110680 个文件和目录。)
正在解压缩 sun-java6-jre (从 .../sun-java6-jre_6-03-0ubuntu2_all.deb) ...
正预备替换 sun-java6-bin 6-03-0ubuntu2 (使用 .../sun-java6-bin_6-03-0ubuntu2_i386.deb) ...
sun-dlj-v1-1 license has already been accepted
正在解压缩将用于更替的包文件 sun-java6-bin ...
正在设置 sun-java6-jre (6-03-0ubuntu2) ...

正在设置 sun-java6-bin (6-03-0ubuntu2) ...
No theme index file in '/usr/share/icons/sun-java6.png'.
If you really want to create an icon cache here, use --ignore-theme-index.
ng@hooo:~$ sudo apt-get install sun-java6-bin
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
sun-java6-bin 已经是最新的版本了。
The following packages were automatically installed and are no longer required:
xserver-xorg-input-wacom thunderbird enigmail
Use 'apt-get autoremove' to remove them.
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 142 个软件未被升级。

~由于前面没有安装好系统提示:严重警告:无法找到软件包“sun-java6-bin”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里
我再重新安装:
ng@hooo:~$ sudo apt-get -f install sun-java6-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
sun-java6-jre 已经是最新的版本了。
The following packages were automatically installed and are no longer required:
xserver-xorg-input-wacom thunderbird enigmail
Use 'apt-get autoremove' to remove them.
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 142 个软件未被升级。
ng@hooo:~$


_________________
从新来过,前面的路不 知在何方。嘴是用来吃饭的 不是来亲嘴点


http://lh5201414.blog.ubuntu.org.cn/


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 这是我遇到的dpkg --configure -a问题 希望对遇到的朋友有个帮助。 [su
帖子发表于 : 2008-10-14 19:54 

注册: 2008-10-11 17:56
帖子: 203
地址: 厦门
系统: ubuntu 12.04
送出感谢: 3
接收感谢: 0 次
同样问题,感谢lz的帖子


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译